package cz.cvut.kbss.reporting.service;

import cz.cvut.kbss.reporting.model.Person;
import cz.cvut.kbss.reporting.service.repository.PersonService;
import cz.cvut.kbss.reporting.util.Constants;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

@Component
public class DataInitializer {

    private final PersonService personService;

    @Autowired
    public DataInitializer(PersonService personService) {
        this.personService = personService;
    }

    @PostConstruct
    private void init() {
        if (!personService.exists(Constants.DEFAULT_USERNAME)) {
            final Person p = new Person();
            p.setUsername(Constants.DEFAULT_USERNAME);
            p.setFirstName("default");
            p.setLastName("user");
            p.setPassword("xxx11177");
            personService.persist(p);
        }
    }
}
